import type { CSSInterpolation, CSSObject, DerivativeToken } from '@antdv/ui/es/theme';
type TreeToken = DerivativeToken & {
    treeCls: string;
    treeNodeCls: string;
    treeNodePadding: number;
    treeTitleHeight: number;
};
export declare function genBaseStyle(prefixCls: string, token: TreeToken): CSSObject;
export declare function genDirectoryStyle(token: TreeToken): CSSObject;
export declare function genTreeStyle(prefixCls: string, token: DerivativeToken): CSSInterpolation;
declare const _default: (_prefixCls?: import("vue").Ref<string>) => import("@antdv/ui/es/theme").UseComponentStyleResult;
export default _default;
